Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jbi.messaging
Interface InOut

All Superinterfaces:
  MessageExchange

public interface InOut
extends MessageExchange

Supports operations used to process an In Out MEP to completion.

Author:
  JSR208 Expert Group

Nested Class Summary

Nested classes inherited from class javax.jbi.messaging.MessageExchange
`MessageExchange.Role`

Field Summary

Fields inherited from interface javax.jbi.messaging.MessageExchange
`JTA_TRANSACTION_PROPERTY_NAME`

Method Summary
`NormalizedMessage` | `getInMessage()` Retrieves the "in" message reference from this exchange.
`NormalizedMessage` | `getOutMessage()` Retrieves the "out" message reference from this exchange.
`void` | `setInMessage(NormalizedMessage msg)` Specifies the "in" message reference for this exchange.
`void` | `setOutMessage(NormalizedMessage msg)` Specifies the "out" message reference for this exchange.

Methods inherited from interface javax.jbi.messaging.MessageExchange
`createFault, createMessage, getEndpoint, getError, getExchangeId, getFault, getInterfaceName, getMessage, getOperation, getPattern, getProperty, getPropertyNames, getRole, getService, getStatus, isTransacted, setEndpoint, setError, setFault, setInterfaceName, setMessage, setOperation, setProperty, setService, setStatus`

Method Detail

### getInMessage

    public NormalizedMessage getInMessage()

  Retrieves the "in" message reference from this exchange.

  Returns:
    in message

### getOutMessage

    public NormalizedMessage getOutMessage()

  Retrieves the "out" message reference from this exchange.

  Returns:
    out message

### setInMessage

    public void setInMessage(NormalizedMessage msg)
                      throws MessagingException

  Specifies the "in" message reference for this exchange.

  Parameters:
    `msg` - in message
  Throws:
    `MessagingException` - unable to set in message

### setOutMessage

    public void setOutMessage(NormalizedMessage msg)
                       throws MessagingException

  Specifies the "out" message reference for this exchange.

  Parameters:
    `msg` - out message
  Throws:
    `MessagingException` - unable to set in message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Built 06/07/2005 11:16 AM on acer (SunOS 5.9)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2005 Sun Microsystems Inc., All Rights Reserved.